#!/usr/bin/python
# -*- coding: utf-8 -*-

import paho.mqtt.client as paho
import os
import time
import platform

print(platform.node())
topic = "clients/schulung/%s" % os.uname()[1]
status_topic = "%s/state" % topic

def on_connect(mqttc, userdata, flags, rc):
        print("Connected with result code "+str(rc))

def on_message(mqttc, userdata, msg):
        print(msg.topic+" "+str(msg.payload))

mqttc = paho.Client(client_id=os.uname()[1], clean_session=True, protocol=paho.MQTTv311)
mqttc.will_set(status_topic, payload="offline", qos=0, retain=True)

mqttc.on_connect = on_connect
mqttc.on_message = on_message

mqttc.connect("mqtt.mylinuxtime.de", 1883, 60)
mqttc.publish(status_topic, payload="online", retain=True)

while True:
    mqttc.loop_forever(timeout=10.0, max_packets=1, retry_first_connection=True)
